/*									MacCalendar.r									*/
/*
 * MacCalendar.r
 * Copyright  1994 Martin Minow. All rights reserved.
 */
#define REZ
#ifndef  SystemSevenOrLater
#define  SystemSevenOrLater 1
#endif
#include "Pict.r"
#include "Types.r"
#include "SysTypes.r"
#include "BalloonTypes.r"
#include "MacCalendar.h"
#if MPW
include "::MacCalendarIcons.rsrc";
#endif

/*
 * Boilerplate
 */
resource 'vers' (1) {
	kVersionMajor, kVersionMinor, kVersionStage, kVersionRelease, verUS,
	kVersionIdent,
	kVersionString
};

type kApplicationCreator as 'STR ';

resource kApplicationCreator (0) {
	"MacCalendar: " kVersionString
};
resource 'BNDL' (BNDL_Calendar) {
	kApplicationCreator, 0,
	{
		'FREF', {0, FREF_Calendar};
		'ICN#', {0, ICON_Calendar};
	}
};

resource 'FREF' (FREF_Calendar) {
	'sdev', 0, ""
};

resource 'STR#' (STRN_Info) {
	{
		kCalendarPrefName,					/* Shared with MacCalendarSetup	*/
		"MacCalendar\n\n"
			"This Control Strip module displays the current months calendar",
		"Geneva",							/* Font name					*/
		"9",								/* Font size					*/
		"1",								/* 1 == Sunday, 2 == Monday		*/
		"\001S\001M\002Tu\001W\002Th\001F\001S\000",	/* Day name string	*/
	}
};

/*
 * Arrow picture to signal a popup menu (actually, we don't have one). This must
 * be a polygon so the background color shows around the arrow itself.
 */
resource 'PICT' (PICT_RightArrow) {
	{0, 0, 8, 6}, VersionOne {
		{
			ClipRgn		{{0, 0, 8, 6}, $""};
			FillPoly	{{0, 0, 8, 6}, {{0, 2}, {4, 6}, {8, 2}, {0, 2}}};
		}
	}
};

resource 'hfdr' (kHMHelpID) {
	HelpMgrVersion, hmDefaultOptions, 0, 0,
	{
		HMStringItem	{
			"MacCalendar\n\n"
			 "This Control Strip module draws this months calendar.  To use this"
			 " file, place it into the Control Strip folder in the System Folder"
			 " and restart the computer."
		};
	}
};


#ifdef __powerc
/*
 * All Power PC applications need a code-fragment resource that the code fragment
 * manager uses to facilitate dynamic fragment binding. Note that the PowerPC stuff
 * hasn't been tested. Note also that the current version of the Control Strip
 * headers are 68000 specific.
 */
#include "CodeFragmentTypes.r"
	
resource 'cfrg' (0) {
	{
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsApp,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"MacCalendar"
	}
};
#endif
