/*									MacCalendarSetup.h								*/
/*
 * MacCalendarSetup.h
 * Copyright  1993-94 Apple Computer Inc. All rights reserved.
 *
 * Edit History:
 *	1.0d0	MM	First "public" distribution.
 *	1.0d6	MM	Used wrong value for default day name STR#.
 */
#define DEBUG				1
#ifndef DEBUG
#define DEBUG				0
#endif
#include "MacCalendar.h"
#define kSetupAppCreator	'SCCF'
#define BNDL_SetupApp		128
#define FREF_SetupApp		128
#define ICON_SetupApp		128
#define DLOG_Setup			128
#define HELP_Setup			128
#define ALRT_FatalError		129
#define ALRT_NonFatalError	130
#define ALRT_WaitForReboot	131
#define ALRT_NoPreferences	132
#define MBAR_MenuBar		1
#define MENU_Apple			1
#define MENU_File			256
#define	MENU_Edit			257
#define MENU_Font			258
#define MENU_FontSize		259
#define MENU_FirstDay		260
#define CNTL_FontPopup		256
#define CNTL_SizePopup		257
#define CNTL_FirstDayPopup	258
#define STRN_Strings		128
#define STRN_Messages		129
#define STRN_SetupHelp		130
#ifndef REZ

/*
 * This is the file type and file creator of the Status Bar preference file.
 * It was discovered by inspection.
 */
#define kPrefFileType		'pref'
#define kPrefFileCreator	'sdev'
#define kPrefResourceType	'pref'

#define pstrcpy(dst, src)	(BlockMove((src), (dst), (src)[0] + 1))
#define width(rect)			((rect).right - (rect).left)
#define height(rect)		((rect).bottom - (rect).top)

/*
 * Text strings
 */
enum {
	kStrPrefName = 1,
	kStrFontName,
	kStrFontSize,
	kStrFirstDayOfWeek,
	kStrDayName
};

/*
 * Note: kOKButton is also used for Alerts.
 */
enum {
	kOKButton = 1,
	kCancelButton,
	kCalendarUserItem,
	kFontNamePopupItem,
	kFontSizePopupItem,
	kFirstDayPopupItem,
	kDayNameUserItem,
	kSundayText,			/* Day names must be in order	*/
	kMondayText,
	kTuesdayText,
	kWednesdayText,
	kThursdayText,
	kFridayText,
	kSaturdayText,
#if DEBUG
	kPrevMonth,
	kNextMonth,
#endif
	kDummyLastEnumBecauseWeCare	
};

void						InitApplication(void);

#endif /* REZ */
